org.eclipse.wst.jsdt.ui.actions

## Class OpenJavaPerspectiveAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.OpenJavaPerspectiveAction

    public class OpenJavaPerspectiveAction
    extends Action

Action to programmatically open a JavaScript perspective.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`OpenJavaPerspectiveAction()` Create a new `OpenJavaPerspectiveAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenJavaPerspectiveAction

    public OpenJavaPerspectiveAction()

Create a new `OpenJavaPerspectiveAction`.

### Method Detail

#### run

    public void run()